List absences 🌍

Returns the absences in a company. This list is paginated. The output can be filtered given some fields like contractId. By default, only approved absences are returned, but this can be changed by setting status filter.


Required scopes: time:read

Path Params
string
required

The id of the company

Query Params
string

The encoded pagination token

string
Defaults to 10

Allows to define the maximum number of items to fetch at once. (Max: 50, Default: 10)

string

Filter by contractId.

string

Filter by status. Defaults to approved. Multiple statuses can be provided, separated by commas, for example status=approved,pending_approval. If all is provided, all absences will be returned, regardless of their status. Possible statuses are: - approved - pending_approval - declined - cancelled - pending_cancellation

date

Defines the minimal begin date of absences to fetch. Every absences with params.beginDate <= absences.endDate will be included.

date

Defines the maximal end date of absences to fetch. Every absences with params.endDate >= absences.startDate will be included.

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json